org.hibernate.validator.internal.metadata.descriptor

## Class ElementDescriptorImpl

- java.lang.Object
- - org.hibernate.validator.internal.metadata.descriptor.ElementDescriptorImpl

- All Implemented Interfaces:
    Serializable, ElementDescriptor
  Direct Known Subclasses:
    BeanDescriptorImpl, CrossParameterDescriptorImpl, ExecutableDescriptorImpl, ParameterDescriptorImpl, PropertyDescriptorImpl, ReturnValueDescriptorImpl

      public abstract class ElementDescriptorImpl
      extends Object
      implements ElementDescriptor, Serializable

  Describes a validated element (class, field or property).
  Author:
    Emmanuel Bernard, Hardy Ferentschik, Gunnar Morling
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.validation.metadata.ElementDescriptor

      `ElementDescriptor.ConstraintFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementDescriptorImpl(Type type, Set<ConstraintDescriptorImpl<?>> constraintDescriptors, boolean defaultGroupSequenceRedefined, List<Class<?>> defaultGroupSequence)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElementDescriptor.ConstraintFinder` | `findConstraints()`
    `Set<ConstraintDescriptor<?>>` | `getConstraintDescriptors()`
    `Class<?>` | `getElementClass()`
    `boolean` | `hasConstraints()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementDescriptorImpl

          public ElementDescriptorImpl(Type type,
                               Set<ConstraintDescriptorImpl<?>> constraintDescriptors,
                               boolean defaultGroupSequenceRedefined,
                               List<Class<?>> defaultGroupSequence)

  - ### Method Detail

    - #### hasConstraints

          public final boolean hasConstraints()

      Specified by:
        `hasConstraints` in interface `ElementDescriptor`

    - #### getElementClass

          public final Class<?> getElementClass()

      Specified by:
        `getElementClass` in interface `ElementDescriptor`

    - #### getConstraintDescriptors

          public final Set<ConstraintDescriptor<?>> getConstraintDescriptors()

      Specified by:
        `getConstraintDescriptors` in interface `ElementDescriptor`

    - #### findConstraints

          public final ElementDescriptor.ConstraintFinder findConstraints()

      Specified by:
        `findConstraints` in interface `ElementDescriptor`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved